import { BrowserJsPlumbDefaults } from '@jsplumb/browser-ui';

// define some const -------------------------------------------
export const NODE_ID_ATTR = '_node_id';
export const NODE_ID_LEN = 10;
export const NODE_PARENT_ATTR = '_node_parent';
export const DEFAULT_TREE_OPTION = {
  canHighlight: true,
};
export const DEFAULT_CONNECTION_OPTION: BrowserJsPlumbDefaults = {
  endpoint: 'Dot',
  // anchor: 'AutoDefault',
  // dragOptions: { cursor: 'pointer', zIndex: 2000 },
  // paintStyle: { stroke: '#666' },
  // endpointHoverStyle: { fill: 'orange' },
  // hoverPaintStyle: { stroke: 'orange' },
  // endpointStyle: { width: 20, height: 16, stroke: '#666' },
  anchors: ['Right', 'Left'],
  // dropOptions: { activeClass: 'dragActive', hoverClass: 'dropHover' },
};

export const HIGHLIGHT_CONNECTION_OPTION: BrowserJsPlumbDefaults = {
  // endpoint: 'Dot',
  // anchor: 'AutoDefault',
  // dragOptions: { cursor: 'pointer', zIndex: 2000 },
  paintStyle: { strokeWidth: 2, stroke: '#ffc107' },
  // endpointHoverStyle: { fill: 'orange' },
  // hoverPaintStyle: { stroke: 'orange' },
  endpointStyle: { stroke: '#ffc107' },
  // anchors: ['Right', 'Left'],
  // dropOptions: { activeClass: 'dragActive', hoverClass: 'dropHover' },
};
export const DEFAULT_NODE_STYLE: React.CSSProperties = {
  display: 'block',
  width: '50px',
  height: '50px',
  background: '#dfbedf',
  borderRadius: '25%',
  textAlign: 'center',
};
